<html>
<head>
<title>OgreRenderQueueSortingGrouping.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreRenderQueueSortingGrouping.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h_source.html">OgreIteratorWrappers.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMaterial_8h_source.html">OgreMaterial.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTechnique_8h_source.html">OgreTechnique.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePass_8h_source.html">OgrePass.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>&quot;</code><br/>
</div>
<p><a href="OgreRenderQueueSortingGrouping_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderablePass.html">Ogre::RenderablePass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct associating a single <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> with a single <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a>.  <a href="structOgre_1_1RenderablePass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">Ogre::QueuedRenderableVisitor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Visitor interface for items in a <a class="el" href="classOgre_1_1QueuedRenderableCollection.html" title="Lowest level collection of renderables.">QueuedRenderableCollection</a>.  <a href="classOgre_1_1QueuedRenderableVisitor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">Ogre::QueuedRenderableCollection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lowest level collection of renderables.  <a href="classOgre_1_1QueuedRenderableCollection.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html">Ogre::QueuedRenderableCollection::PassGroupLess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparator to order pass groups.  <a href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html">Ogre::QueuedRenderableCollection::DepthSortDescendingLess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparator to order objects by descending camera distance.  <a href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html">Ogre::QueuedRenderableCollection::RadixSortFunctorPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Functor for accessing sort value 1 for radix sort (<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>)  <a href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorDistance.html">Ogre::QueuedRenderableCollection::RadixSortFunctorDistance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Functor for descending sort value 2 for radix sort (distance)  <a href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorDistance.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderPriorityGroup.html">Ogre::RenderPriorityGroup</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Collection of renderables by priority.  <a href="classOgre_1_1RenderPriorityGroup.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueueGroup.html">Ogre::RenderQueueGroup</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A grouping level underneath <a class="el" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a> which groups renderables to be issued at coarsely the same time to the renderer.  <a href="classOgre_1_1RenderQueueGroup.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
